Subject: Linux-Activists - DOC Channel digest. 93-3-6-13:21
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Tue, 6 Apr 1993 19:50:38 +0300

Topics:
	 Re: Linux-Activists - DOC Channel digest. 93-3-6-6:34

----------------------------------------------------------------------

From: Rik Faith <[email-masked]>
Subject: Re: Linux-Activists - DOC Channel digest. 93-3-6-6:34
Date: Tue, 6 Apr 1993 16:03:19 +0300

"Steven S. Dick" wrote (Tue,  6 Apr 1993 13:55:27 +0300):
> 
> <[email-masked]> (Michael K Johnson) writes:
>> Any man packages that don't use this should be upgraded now...
> 
> I'm using perl man...  I changed all occurances of -man to -mandoc, and
> it at least formats the pages correctly.  Unfortunately, the makewhatis
> that comes with it does not understand the DOC format, so it has trouble
> making table of contents lines for some of the pages.

The man binary that I have been distributing since last summer uses -mandoc
for groff and contains a makewhatis that understands both the MAN and DOC
formats.  The makewhatis is a simple gawk script, and will produce a
standard whatis file.  You can ftp from
ftp.cs.unc.edu:/pub/faith/linux/utils:
man11B.Notes contains patches to source/man-1.1.tar.Z
man11B.taz contains binaries

------------------------------

End of DOC Digest
*****************
-------